Bug 220602 - Recent patch to aic79xx driver.
Summary: Recent patch to aic79xx driver.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Chip Coldwell
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks: 221441
TreeView+ depends on / blocked
 
Reported: 2006-12-22 14:13 UTC by Mark Salyzyn
Modified: 2007-11-17 01:14 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 04:32:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add PCI id to list of discovered products (1.27 KB, patch)
2006-12-22 14:13 UTC, Mark Salyzyn
no flags Details | Diff
Patch adjusted to apply to RHEL-4.5 (821 bytes, patch)
2007-01-17 18:02 UTC, Chip Coldwell
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description Mark Salyzyn 2006-12-22 14:13:46 UTC
Description of problem: Missing PCI Device in aic79xx driver, recently added 
to scsi-misc-2.6 tree

Comment 1 Mark Salyzyn 2006-12-22 14:13:46 UTC
Created attachment 144277 [details]
patch to add PCI id to list of discovered products

Comment 6 Jay Turner 2007-01-17 15:36:16 UTC
QE ack for RHEL4.5.

Comment 7 Chip Coldwell 2007-01-17 17:36:54 UTC
The patch attached to this bugzilla is for a RHEL-5 kernel, and will not apply
to the RHEL-4 kernel.  I'll put together one for RHEL-4.

Chip


Comment 8 Chip Coldwell 2007-01-17 18:02:52 UTC
Created attachment 145838 [details]
Patch adjusted to apply to RHEL-4.5

Comment 9 Mark Salyzyn 2007-01-23 00:11:02 UTC
Looks ok to me, Thanks Chip for translating the kernel.org patch. Would have 
hoped to rename the "Adaptec 29320ALP Ultra320 SCSI adapter" reference on line 
137 of linux-2.6.9/drivers/scsi/aic7xxx/aic79xx_pci.c to "Adaptec 29320ALP 
PCIx Ultra320 SCSI adapter" (adding PCIx) in clarification to the older 
product. But No Big Deal. Technically good enough.

Comment 10 Chip Coldwell 2007-01-23 15:39:45 UTC
(In reply to comment #9)
> Looks ok to me, Thanks Chip for translating the kernel.org patch. Would have 
> hoped to rename the "Adaptec 29320ALP Ultra320 SCSI adapter" reference on line 
> 137 of linux-2.6.9/drivers/scsi/aic7xxx/aic79xx_pci.c to "Adaptec 29320ALP 
> PCIx Ultra320 SCSI adapter" (adding PCIx) in clarification to the older 
> product. But No Big Deal. Technically good enough.

Sorry about that.  The patch as posted has already gone into kernel-2.6.9-44.EL,
so it's probably more trouble than it's worth to post another touchup.  However,
we can queue it up for 4.6 if you like.

Chip



Comment 11 Mark Salyzyn 2007-01-23 15:54:00 UTC
Thanks, no worries. The request is merely cosmetic and the patch baggage is NOT 
worth it. I will consider rolling in the change if there are any other product 
updates in the future (Now that I have familiarized myself with RedHat Bugzilla 
needs, I will submit a 2.6.9-* tailored patch rather than being lazy and 
referencing the kernel.org scsi-list submission).

Comment 12 Jason Baron 2007-01-23 16:44:13 UTC
committed in stream U5 build 44. A test kernel with this patch is available from
http://people.redhat.com/~jbaron/rhel4/


Comment 14 Mike Gahagan 2007-04-02 19:07:39 UTC
Patch is in the -52.EL kernel.


Comment 16 Red Hat Bugzilla 2007-05-08 04:32:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Note You need to log in before you can comment on or make changes to this bug.